Index: /branches/presentation/src/util/track/action_box.cc
===================================================================
--- /branches/presentation/src/util/track/action_box.cc	(revision 10766)
+++ /branches/presentation/src/util/track/action_box.cc	(revision 10767)
@@ -34,54 +34,54 @@
 void ActionBox::draw( ) const
 {
-  glMatrixMode(GL_MODELVIEW);
-  glPushMatrix();
-
-  glPushAttrib(GL_ENABLE_BIT);
-
-  glDisable(GL_LIGHTING);
-  glDisable(GL_TEXTURE_2D);
-  glDisable(GL_BLEND);
-  glLineWidth(2.0);
-  glTranslatef ( track->getTrackNode()->getAbsCoor ().x,
-                track->getTrackNode()->getAbsCoor ().y,
-                track->getTrackNode()->getAbsCoor ().z);
-  Vector tmpRot = track->getTrackNode()->getAbsDir().getSpacialAxis();
-  glRotatef (track->getTrackNode()->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
-
-
-  glColor3f(1.0, 1.0, 0.0);
-  glBegin(GL_LINE_STRIP);
-    glVertex3f(0, height_2, width_2);
-    glVertex3f(0, -height_2, width_2);
-    glVertex3f(0, -height_2, -width_2);
-    glVertex3f(0, height_2, -width_2);
-    glVertex3f(0, height_2, width_2);
-  glEnd();
-
-  glColor3f(1.0, 0.0, 0.0 );
-  glBegin(GL_LINE_STRIP);
-    glVertex3f(depth, height_2 * stretch, width_2 * stretch);
-    glVertex3f(depth, -height_2 * stretch, width_2 * stretch);
-    glVertex3f(depth, -height_2 * stretch, -width_2 * stretch);
-    glVertex3f(depth, height_2 * stretch, -width_2 * stretch);
-    glVertex3f(depth, height_2 * stretch, width_2 * stretch);
-  glEnd();
-
-  glBegin(GL_LINE_STRIP);
-    glVertex3f(depth, height_2 * stretch, width_2 * stretch);
-    glVertex3f(0, height_2, width_2);
-    glVertex3f(0, -height_2, width_2);
-    glVertex3f(depth, -height_2 * stretch, width_2 * stretch);
-  glEnd();
-
-  glBegin(GL_LINE_STRIP);
-    glVertex3f(depth, height_2 * stretch, -width_2 * stretch);
-    glVertex3f(0, height_2, -width_2);
-    glVertex3f(0, -height_2, -width_2);
-    glVertex3f(depth, -height_2 * stretch, -width_2 * stretch);
-  glEnd();
-
-  glPopAttrib();
-  glPopMatrix();
+//   glMatrixMode(GL_MODELVIEW);
+//   glPushMatrix();
+// 
+//   glPushAttrib(GL_ENABLE_BIT);
+// 
+//   glDisable(GL_LIGHTING);
+//   glDisable(GL_TEXTURE_2D);
+//   glDisable(GL_BLEND);
+//   glLineWidth(2.0);
+//   glTranslatef ( track->getTrackNode()->getAbsCoor ().x,
+//                 track->getTrackNode()->getAbsCoor ().y,
+//                 track->getTrackNode()->getAbsCoor ().z);
+//   Vector tmpRot = track->getTrackNode()->getAbsDir().getSpacialAxis();
+//   glRotatef (track->getTrackNode()->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
+// 
+// 
+//   glColor3f(1.0, 1.0, 0.0);
+//   glBegin(GL_LINE_STRIP);
+//     glVertex3f(0, height_2, width_2);
+//     glVertex3f(0, -height_2, width_2);
+//     glVertex3f(0, -height_2, -width_2);
+//     glVertex3f(0, height_2, -width_2);
+//     glVertex3f(0, height_2, width_2);
+//   glEnd();
+// 
+//   glColor3f(1.0, 0.0, 0.0 );
+//   glBegin(GL_LINE_STRIP);
+//     glVertex3f(depth, height_2 * stretch, width_2 * stretch);
+//     glVertex3f(depth, -height_2 * stretch, width_2 * stretch);
+//     glVertex3f(depth, -height_2 * stretch, -width_2 * stretch);
+//     glVertex3f(depth, height_2 * stretch, -width_2 * stretch);
+//     glVertex3f(depth, height_2 * stretch, width_2 * stretch);
+//   glEnd();
+// 
+//   glBegin(GL_LINE_STRIP);
+//     glVertex3f(depth, height_2 * stretch, width_2 * stretch);
+//     glVertex3f(0, height_2, width_2);
+//     glVertex3f(0, -height_2, width_2);
+//     glVertex3f(depth, -height_2 * stretch, width_2 * stretch);
+//   glEnd();
+// 
+//   glBegin(GL_LINE_STRIP);
+//     glVertex3f(depth, height_2 * stretch, -width_2 * stretch);
+//     glVertex3f(0, height_2, -width_2);
+//     glVertex3f(0, -height_2, -width_2);
+//     glVertex3f(depth, -height_2 * stretch, -width_2 * stretch);
+//   glEnd();
+// 
+//   glPopAttrib();
+//   glPopMatrix();
 }
 
Index: /branches/presentation/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /branches/presentation/src/world_entities/space_ships/space_ship.cc	(revision 10766)
+++ /branches/presentation/src/world_entities/space_ships/space_ship.cc	(revision 10767)
@@ -410,6 +410,6 @@
 void SpaceShip::draw () const
 {
- if( this->entityTrack != NULL /*&& this->isDrawTrack()*/)
-    this->entityTrack->drawGraph();
+// if( this->entityTrack != NULL /*&& this->isDrawTrack()*/)
+ //  this->entityTrack->drawGraph();
 
   WorldEntity::draw();
@@ -538,5 +538,5 @@
   else if( event.type == KeyMapper::PEV_FIRE1)
   {
-    printf(" %f, %f, %f \n",this->getAbsCoor().x,this->getAbsCoor().y,this->getAbsCoor().z );
+ //   printf(" %f, %f, %f \n",this->getAbsCoor().x,this->getAbsCoor().y,this->getAbsCoor().z );
     this->bFire = event.bPressed;
   }
